#!/usr/bin/perl

package DomainAdminConfig;

#
# SQL username
#
$sqluser = "";

#
# SQL password
#
$sqlpasswd = "";

#
# SQL database
#
$sqldb = "";

#
# Specify your cgi-bin directory.  Leave as undef if you do not wish to install
# the web front-end.
#
$install_cgi_dir = undef;

#
# Web documents directory.  Absolute path to directory to store static web
# content (stylesheets, images).  Leave as undef if you do not iwsh to install
# the web front-end.
#
$install_web_docs_dir = undef;

#
# Directory for shared perl modules.  This directory contains perl modules used 
# by both web and command line scripts.  These contain configuration options, 
# including your database username and password. 
#
$install_lib_dir = undef;

#
# Mode for lib dir.  This should probably be 0700 if you use Apache's suExec or
# 0755 otherwise.
#
$lib_dir_mode = "0700";

#
# Directory for command-line administrative tools.
#
$install_bin_dir = undef;

#
# Path under which virtual mail spools will be created.
#
$mail_spool_path = "/var/spool/mail/SERVERS/";

#
# Sets the hashing method used to store passwords in the database.  Currently
# includes md5, crypt, crypt-md5 and plaintext.  See README for more details.
#
$default_hash_method = "md5";

#
# Allows the user to choose to have their password stored in plaintext in the
# database.  This is necessary if the user wished to use APOP authentication,
# but otherwise storing plaintext passwords is undesirable.
#
$allow_plaintext_password = 0;

#
# Perl binary location
#
$perl_bin = "/usr/bin/perl";

#
# Style sheet file
#
$css = "/std.css";

#
# Version
#
$version = 0.0;

